	//Extend this class to write your own handler.
	//Note: the "fieldName" may be class-qualified (eg: ClassName.FieldName)
	//and you will need to check for this explicitly.

package JSX;

public class NoSuchFieldHandler {
	public NoSuchFieldHandler() {}	//default constructor has package visibility
	//field name mapper:
	public String noSuchField(Class clazz, String fieldName)
			throws NoSuchFieldException {
		//Better to use a Hash instead, if need more, and for generality; but the
		//best and simplest way to do few is:
		//if (clazz==aaaaa.class) {
		//	if (fieldName.equals("xxxx1") {
		//		return "yyyy1";
		//	if (fieldName.equals("xxxx2") {
		//		return "yyyy2";
		//	}
		//} else if (clazz==bbbb.class) {
		//	if (fieldName.equals("xxxx1") {
		//		return "yyyy1";
		//}
		throw new NoSuchFieldException("Couldn't find a mapping for field '"+fieldName+"', for class '"+clazz.getName()+"'");
	}
/*
	public void noSuchField(Class clazz, String fieldName, Object o) {
		//handle it entirely in code here.
	}
*/
}
